// -----------------------------------------------------------------------------------------------------
// Copyright (c) 2006-2023, Knut Reinert & Freie Universität Berlin
// Copyright (c) 2016-2023, Knut Reinert & MPI für molekulare Genetik
// This file may be used, modified and/or redistributed under the terms of the 3-clause BSD-License
// shipped with this file and also available at: https://github.com/seqan/seqan3/blob/master/LICENSE.md
// -----------------------------------------------------------------------------------------------------

/*!\file
 * \brief Meta-header for the \cond DEV \link utility_simd_views Utility / SIMD / Views submodule \endlink \endcond.
 * \author Marcel Ehrhardt <marcel.ehrhardt AT fu-berlin.de>
 */

//!\cond DEV

/*!\defgroup utility_simd_views Views
 * \brief SIMD related views.
 * \ingroup utility_simd
 * \see utility_simd
 */

//!\endcond

#pragma once

#include <seqan3/utility/simd/views/iota_simd.hpp>
#include <seqan3/utility/simd/views/to_simd.hpp>
